# DaprProtos.SubtleSignRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.SubtleSignRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>
      - - io.dapr.v1.DaprProtos.SubtleSignRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.SubtleSignRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.SubtleSignRequest

    public static final class DaprProtos.SubtleSignRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>
    implements DaprProtos.SubtleSignRequestOrBuilder

     SubtleSignRequest is the request for SubtleSignAlpha1.

Protobuf type `dapr.proto.runtime.v1.SubtleSignRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DaprProtos.SubtleSignRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleSignRequest` `build()`
`DaprProtos.SubtleSignRequest` `buildPartial()`
`DaprProtos.SubtleSignRequest.Builder` `clear()`
`DaprProtos.SubtleSignRequest.Builder` `clearAlgorithm()` Algorithm to use, as in the JWA standard.
`DaprProtos.SubtleSignRequest.Builder` `clearComponentName()` Name of the component
`DaprProtos.SubtleSignRequest.Builder` `clearDigest()` Digest to sign.
`DaprProtos.SubtleSignRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.SubtleSignRequest.Builder` `clearKeyName()` Name (or name/version) of the key.
`DaprProtos.SubtleSignRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.SubtleSignRequest.Builder` `clone()`
`String` `getAlgorithm()` Algorithm to use, as in the JWA standard.
`com.google.protobuf.ByteString` `getAlgorithmBytes()` Algorithm to use, as in the JWA standard.
`String` `getComponentName()` Name of the component
`com.google.protobuf.ByteString` `getComponentNameBytes()` Name of the component
`DaprProtos.SubtleSignRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`com.google.protobuf.ByteString` `getDigest()` Digest to sign.
`String` `getKeyName()` Name (or name/version) of the key.
`com.google.protobuf.ByteString` `getKeyNameBytes()` Name (or name/version) of the key.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DaprProtos.SubtleSignRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.SubtleSignRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.SubtleSignRequest.Builder` `mergeFrom​(DaprProtos.SubtleSignRequest other)`
`DaprProtos.SubtleSignRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.SubtleSignRequest.Builder` `setAlgorithm​(String value)` Algorithm to use, as in the JWA standard.
`DaprProtos.SubtleSignRequest.Builder` `setAlgorithmBytes​(com.google.protobuf.ByteString value)` Algorithm to use, as in the JWA standard.
`DaprProtos.SubtleSignRequest.Builder` `setComponentName​(String value)` Name of the component
`DaprProtos.SubtleSignRequest.Builder` `setComponentNameBytes​(com.google.protobuf.ByteString value)` Name of the component
`DaprProtos.SubtleSignRequest.Builder` `setDigest​(com.google.protobuf.ByteString value)` Digest to sign.
`DaprProtos.SubtleSignRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleSignRequest.Builder` `setKeyName​(String value)` Name (or name/version) of the key.
`DaprProtos.SubtleSignRequest.Builder` `setKeyNameBytes​(com.google.protobuf.ByteString value)` Name (or name/version) of the key.
`DaprProtos.SubtleSignRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.SubtleSignRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>`

#### clear

    public DaprProtos.SubtleSignRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.SubtleSignRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.SubtleSignRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.SubtleSignRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.SubtleSignRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>`

#### setField

    public DaprProtos.SubtleSignRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                         Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>`

#### clearField

    public DaprProtos.SubtleSignRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>`

#### clearOneof

    public DaprProtos.SubtleSignRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>`

#### setRepeatedField

    public DaprProtos.SubtleSignRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                 int index,
                                                                 Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>`

#### addRepeatedField

    public DaprProtos.SubtleSignRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                 Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>`

#### mergeFrom

    public DaprProtos.SubtleSignRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleSignRequest.Builder>`

#### mergeFrom

    public DaprProtos.SubtleSignRequest.Builder mergeFrom​(DaprProtos.SubtleSignRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>`

#### mergeFrom

    public DaprProtos.SubtleSignRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleSignRequest.Builder>`
Throws:
  `IOException`

#### getComponentName

    public String getComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentName` in interface `DaprProtos.SubtleSignRequestOrBuilder`
Returns:
  The componentName.

#### getComponentNameBytes

    public com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentNameBytes` in interface `DaprProtos.SubtleSignRequestOrBuilder`
Returns:
  The bytes for componentName.

#### setComponentName

    public DaprProtos.SubtleSignRequest.Builder setComponentName​(String value)

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Parameters:
  `value` - The componentName to set.
Returns:
  This builder for chaining.

#### clearComponentName

    public DaprProtos.SubtleSignRequest.Builder clearComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  This builder for chaining.

#### setComponentNameBytes

    public DaprProtos.SubtleSignRequest.Builder setComponentNameBytes​(com.google.protobuf.ByteString value)

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Parameters:
  `value` - The bytes for componentName to set.
Returns:
  This builder for chaining.

#### getDigest

    public com.google.protobuf.ByteString getDigest()

     Digest to sign.

`bytes digest = 2;`

Specified by:
  `getDigest` in interface `DaprProtos.SubtleSignRequestOrBuilder`
Returns:
  The digest.

#### setDigest

    public DaprProtos.SubtleSignRequest.Builder setDigest​(com.google.protobuf.ByteString value)

     Digest to sign.

`bytes digest = 2;`

Parameters:
  `value` - The digest to set.
Returns:
  This builder for chaining.

#### clearDigest

    public DaprProtos.SubtleSignRequest.Builder clearDigest()

     Digest to sign.

`bytes digest = 2;`

Returns:
  This builder for chaining.

#### getAlgorithm

    public String getAlgorithm()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Specified by:
  `getAlgorithm` in interface `DaprProtos.SubtleSignRequestOrBuilder`
Returns:
  The algorithm.

#### getAlgorithmBytes

    public com.google.protobuf.ByteString getAlgorithmBytes()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Specified by:
  `getAlgorithmBytes` in interface `DaprProtos.SubtleSignRequestOrBuilder`
Returns:
  The bytes for algorithm.

#### setAlgorithm

    public DaprProtos.SubtleSignRequest.Builder setAlgorithm​(String value)

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Parameters:
  `value` - The algorithm to set.
Returns:
  This builder for chaining.

#### clearAlgorithm

    public DaprProtos.SubtleSignRequest.Builder clearAlgorithm()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Returns:
  This builder for chaining.

#### setAlgorithmBytes

    public DaprProtos.SubtleSignRequest.Builder setAlgorithmBytes​(com.google.protobuf.ByteString value)

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Parameters:
  `value` - The bytes for algorithm to set.
Returns:
  This builder for chaining.

#### getKeyName

    public String getKeyName()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Specified by:
  `getKeyName` in interface `DaprProtos.SubtleSignRequestOrBuilder`
Returns:
  The keyName.

#### getKeyNameBytes

    public com.google.protobuf.ByteString getKeyNameBytes()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Specified by:
  `getKeyNameBytes` in interface `DaprProtos.SubtleSignRequestOrBuilder`
Returns:
  The bytes for keyName.

#### setKeyName

    public DaprProtos.SubtleSignRequest.Builder setKeyName​(String value)

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Parameters:
  `value` - The keyName to set.
Returns:
  This builder for chaining.

#### clearKeyName

    public DaprProtos.SubtleSignRequest.Builder clearKeyName()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Returns:
  This builder for chaining.

#### setKeyNameBytes

    public DaprProtos.SubtleSignRequest.Builder setKeyNameBytes​(com.google.protobuf.ByteString value)

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Parameters:
  `value` - The bytes for keyName to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final DaprProtos.SubtleSignRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.SubtleSignRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleSignRequest.Builder>`